// SPDX-License-Identifier: BSD-3-Clause
// Copyright © 2022 TXA PTE. LTD.
pragma solidity ^0.8.9;

import "./PredeployConstants.sol";
import "../Helpers/USDT.sol";

contract USDTPreDeploy is USDT, PredeployConstants {
    constructor(address[] memory airdrop) USDT(airdrop, "Tether USD", "USDT") {}

    function initialize() external {
        _mint(ALICE, 100000000000000000000);
        _mint(BOB, 100000000000000000000);
        _mint(0x0C226B4bf2bE96dE403Cc3dFc4e9072d883AFaf4, 2500000000000000000000);
        _mint(0x470d29cB2017e91560362A1d9115a9A286Bb4566, 2500000000000000000000);
        _mint(0x59D2735EcD289F999246944Bcc4f5BBcb067c138, 2500000000000000000000);
        _mint(0x97c9C763362123C152de1beFd2D1FC413f41Cd0D, 2500000000000000000000);
        _mint(0xAc83762f7Ba18b863c34267D7F6f3116F9813A91, 2500000000000000000000);
        _mint(0x011C62434F17b3d690e8976b7468e4eAAf778Fa1, 2500000000000000000000);
        _mint(0x997Afb2c8d6f4F680154366e3BdBBf460766F5F5, 2500000000000000000000);
        _mint(0xabc8222F3e4c72c05630b061bF65d56a6D15F042, 2500000000000000000000);
        _mint(0x8f7B9942D384B4cDAFC596C375Ef5Bc435D401a0, 2500000000000000000000);
        _mint(0xc127f6f27485D0Dd37FC69180a4972576aC0440b, 2500000000000000000000);
        _mint(0x1Da5c062B5e3EfC48d288D9Abbf1fE93823db053, 2500000000000000000000);
        _mint(0x0d5bfCb3dE3C81E60BA11EA19Bce7186B1805522, 2500000000000000000000);
        _mint(0x86144361bA14e59D26423fF6D3e5a40495F43a6F, 2500000000000000000000);
        _mint(0xbb5299284781B1C6DD3E9B7260241DA42813b5E5, 2500000000000000000000);
        _mint(0x036c06aD550635F635a62ce78e194bd1dCec4000, 2500000000000000000000);
        _mint(0xD07fE83Ae7A716CfDB1E1a3514c2DCE54516F5F3, 2500000000000000000000);
        _mint(0xfa44d6b4ecee81f73623b36d6eF81e0e3Dc6Dea1, 2500000000000000000000);
        _mint(0xa9182Fe86Cad490dC853228c402960971F3f108a, 2500000000000000000000);
        _mint(0xF9e24e7D410fD222FC73a0710335B16Ab794fD59, 2500000000000000000000);
        _mint(0x3CE9fD177F0aFB7CA10A345839a714119Ccda8Cb, 2500000000000000000000);
        _mint(0x8763B4913ccC2D1Fc72009921B57BafD1831AA17, 2500000000000000000000);
        _mint(0xB822E9589B3aDC71bd711D97d7e2CeA0461E12C7, 2500000000000000000000);
        _mint(0x0d9d0c3a4413E27d53B59b203F34fFEdea7B659C, 2500000000000000000000);
        _mint(0xeE45faAB3D856A10A8aC03Da70D8291587ed0d43, 2500000000000000000000);
    }

    function name() public view override returns (string memory) {
        return "Tether USD";
    }

    function symbol() public view override returns (string memory) {
        return "USDT";
    }
}
